petsc-3.4.2 2013-07-02

# CHKMEMQ

Checks the memory for corruption, calls error handler if any is detected

### Synopsis

    #include "petscsys.h"
    CHKMEMQ;

Not Collective

### Notes

Must run with the option -malloc_debug to enable this option

Once the error handler is called the calling function is then returned from with the given error code.

By defaults prints location where memory that is corrupted was allocated.

Use CHKMEMA for functions that return void

### See Also

PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), SETERRQ(), CHKMEMQ, SETERRQ1(), SETERRQ2(), SETERRQ3(),
PetscMallocValidate()

Level:beginner
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex11f90.F.html